searchData={"items":[{"type":"module","title":"Hangman.Dictionary","doc":"Dictionary for the _Hangman Game_. Returns a random word.\n\n###","ref":"Hangman.Dictionary.html"},{"type":"module","title":"Based on the course [Elixir for Programmers](https://codestool.coding-gnome.com/courses/elixir-for-programmers) by Dave Thomas. - Hangman.Dictionary","doc":"","ref":"Hangman.Dictionary.html#module-based-on-the-course-elixir-for-programmers-https-codestool-coding-gnome-com-courses-elixir-for-programmers-by-dave-thomas"},{"type":"function","title":"Hangman.Dictionary.longest_words/1","doc":"Returns the longest words in the dictionary agent (longer than `floor`).\nNote that word lengths will be enclosed in parentheses after each word.\n\nIn iex, you may want to run:\n\n`IEx.configure(inspect: [limit: :infinity])`","ref":"Hangman.Dictionary.html#longest_words/1"},{"type":"function","title":"Examples - Hangman.Dictionary.longest_words/1","doc":"iex> alias Hangman.Dictionary\n    iex> Dictionary.longest_words() |> Enum.take(9)\n    [\n      \"telecommunications (18)\",\n      \"characterization (16)\",\n      \"responsibilities (16)\",\n      \"sublimedirectory (16)\",\n      \"characteristics (15)\",\n      \"confidentiality (15)\",\n      \"congratulations (15)\",\n      \"instrumentation (15)\",\n      \"internationally (15)\"\n    ]\n\n    iex> alias Hangman.Dictionary\n    iex> Dictionary.longest_words(14)\n    [\n      \"telecommunications (18)\",\n      \"characterization (16)\",\n      \"responsibilities (16)\",\n      \"sublimedirectory (16)\",\n      \"characteristics (15)\",\n      \"confidentiality (15)\",\n      \"congratulations (15)\",\n      \"instrumentation (15)\",\n      \"internationally (15)\",\n      \"pharmaceuticals (15)\",\n      \"recommendations (15)\",\n      \"representations (15)\",\n      \"representatives (15)\",\n      \"troubleshooting (15)\"\n    ]","ref":"Hangman.Dictionary.html#longest_words/1-examples"},{"type":"function","title":"Hangman.Dictionary.random_word/0","doc":"Returns a random word from the dictionary agent.","ref":"Hangman.Dictionary.html#random_word/0"},{"type":"function","title":"Examples - Hangman.Dictionary.random_word/0","doc":"iex> alias Hangman.Dictionary\n    iex> for _ <- 0..99, uniq: true do\n    iex>   Dictionary.random_word() =~ ~r/^[a-z]+$/\n    iex> end\n    [true]\n\n    iex> alias Hangman.Dictionary.WordsAgent\n    iex> words = Agent.get(WordsAgent, & &1)\n    iex> Enum.all?(words, & &1 =~ ~r/^[a-z]+$/)\n    true","ref":"Hangman.Dictionary.html#random_word/0-examples"},{"type":"function","title":"Hangman.Dictionary.repeated_words/0","doc":"Returns all the repeated words in the dictionary agent.\nNote that repetition counts will be enclosed in parentheses after each word.","ref":"Hangman.Dictionary.html#repeated_words/0"},{"type":"function","title":"Examples - Hangman.Dictionary.repeated_words/0","doc":"iex> alias Hangman.Dictionary\n    iex> Dictionary.repeated_words()\n    [\"echo (3)\", \"hello (2)\"]","ref":"Hangman.Dictionary.html#repeated_words/0-examples"},{"type":"function","title":"Hangman.Dictionary.shortest_words/1","doc":"Returns the shortest words in the dictionary agent (shorter than `ceil`).\n\nIn iex, you may want to run:\n\n`IEx.configure(inspect: [limit: :infinity])`","ref":"Hangman.Dictionary.html#shortest_words/1"},{"type":"function","title":"Examples - Hangman.Dictionary.shortest_words/1","doc":"iex> alias Hangman.Dictionary\n    iex> Dictionary.shortest_words() |> Enum.take(49) |> Enum.take(-10)\n    [\"act\", \"add\", \"ado\", \"ads\", \"adz\", \"aft\", \"age\", \"ago\", \"aid\", \"ail\"]\n\n    iex> alias Hangman.Dictionary\n    iex> Dictionary.shortest_words(2)\n    [\"a\", \"i\"]","ref":"Hangman.Dictionary.html#shortest_words/1-examples"},{"type":"function","title":"Hangman.Dictionary.word_count/0","doc":"Returns the number of words in the dictionary agent.","ref":"Hangman.Dictionary.html#word_count/0"},{"type":"function","title":"Examples - Hangman.Dictionary.word_count/0","doc":"iex> alias Hangman.Dictionary\n    iex> Dictionary.word_count\n    57708","ref":"Hangman.Dictionary.html#word_count/0-examples"},{"type":"function","title":"Hangman.Dictionary.words_of_length/1","doc":"Returns all the words in the dictionary agent of length `word_length`.\n\nIn iex, you may want to run:\n\n`IEx.configure(inspect: [limit: :infinity])`","ref":"Hangman.Dictionary.html#words_of_length/1"},{"type":"function","title":"Examples - Hangman.Dictionary.words_of_length/1","doc":"iex> alias Hangman.Dictionary\n    iex> Dictionary.words_of_length(16)\n    [\"characterization\", \"responsibilities\", \"sublimedirectory\"]\n\n    iex> alias Hangman.Dictionary\n    iex> Dictionary.words_of_length(3) |> Enum.take(10)\n    [\"ace\", \"act\", \"add\", \"ado\", \"ads\", \"adz\", \"aft\", \"age\", \"ago\", \"aid\"]","ref":"Hangman.Dictionary.html#words_of_length/1-examples"},{"type":"type","title":"Hangman.Dictionary.word/0","doc":"A word with letters from a to z","ref":"Hangman.Dictionary.html#t:word/0"},{"type":"module","title":"Hangman.Dictionary.TopSup","doc":"","ref":"Hangman.Dictionary.TopSup.html"},{"type":"function","title":"Hangman.Dictionary.TopSup.start/2","doc":"","ref":"Hangman.Dictionary.TopSup.html#start/2"},{"type":"module","title":"Hangman.Dictionary.WordsAgent","doc":"An agent process that loads a list of words from external files.","ref":"Hangman.Dictionary.WordsAgent.html"},{"type":"function","title":"Hangman.Dictionary.WordsAgent.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"Hangman.Dictionary.WordsAgent.html#child_spec/1"},{"type":"function","title":"Hangman.Dictionary.WordsAgent.start_link/1","doc":"Spawns an agent process that loads a list of words from external files.","ref":"Hangman.Dictionary.WordsAgent.html#start_link/1"},{"type":"function","title":"Examples - Hangman.Dictionary.WordsAgent.start_link/1","doc":"iex> alias Hangman.Dictionary.WordsAgent\n    iex> {:error, {:already_started, agent}} = WordsAgent.start_link(:ok)\n    iex> is_pid(agent) and agent == Process.whereis(WordsAgent)\n    true","ref":"Hangman.Dictionary.WordsAgent.html#start_link/1-examples"}],"content_type":"text/markdown"}